ZappCare Business HQ
help_outline Support
account_circle Account
search

Sarah Jenkins

Administrator

# Change Password

To maintain the architectural integrity of your ZappCare workspace, we recommend updating your password every 90 days.

Current Password
lock_open
New Password
key

Minimum 12 characters, including symbols and numbers.

Confirm New Password
verified_user
security

### Account Security Status

Last changed 4 months ago. Your current password strength is Medium.

ZappCare Security

#### End-to-End Encryption Enabled

#### Related Settings

- phonelink_lock Two-Factor Authentication arrow_forward
- devices Logged-in Devices arrow_forward